<div class="article-two">
<div class="image">
  <a href="<?php the_permalink(); ?>">
    <img src="<?php if(get_the_post_thumbnail_url()): ?>
<?php the_post_thumbnail_url('full'); ?>
<?php else: ?>
<?php echo wc_placeholder_img_src(); ?>
<?php endif; ?>" alt="article" class="d-block w-100" />
  </a>
</div>
<div class="date-view d-flex align-items-center justify-content-between">
  <span> <?php echo get_the_date(); ?> </span>
  <?php
  $category = get_the_category(); 
  ?>
  <span>
    <i class="fst-normal"> <?php esc_html_e('Category:', 'kavehTheme'); ?> </i>
    <?php
    echo $category[0]->cat_name;
    ?>
  </span>
</div>
<h2>
  <a href="<?php the_permalink(); ?>"> <?php
$title = get_the_title();
if ( wp_is_mobile() ) {
    echo wp_trim_words( $title, 5, '...' );
} else {
    echo wp_trim_words( $title, 8, '...' );
}
?> </a>
</h2>
<p> <?php echo get_the_excerpt(); ?> </p>
</div>